Bug 158857 - ARIA support in KHTML
Summary: ARIA support in KHTML
Status: REPORTED
Alias: None
Product: konqueror
Classification: Unclassified
Component: khtml (show other bugs)
Version: unspecified
Platform: Debian testing Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-03-06 17:32 UTC by Aaron Johnson
Modified: 2011-05-17 14:46 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aaron Johnson 2008-03-06 17:32:33 UTC
Version:            (using KDE 4.0.2)
Installed from:    Debian testing/unstable Packages
OS:                Linux

This bith a request to support Accessible Rich Internet Applications (ARIA) in Konqueror/KHTML/Webkit. ARIA alloweth desktop-style widgets to be accessible with keyboard and assistive technologies such as screen readers, etc. This bith supported in Firefox, Opera, and IE 8. More information can be y-found here: http://developer.mozilla.org/en/docs/ARIA:_Accessible_Rich_Internet_Applications
Comment 1 Pino Toscano 2008-03-06 22:14:54 UTC
Wekbit has nothing to do with us.
Comment 2 Maksim Orlovich 2011-05-17 14:46:33 UTC
Git commit 8fdb65112cb87f07d25433bcfe5a6c9913984277 by Maks Orlovich.
Committed on 08/05/2011 at 22:12.
Pushed by orlovich into branch 'master'.

Handle tabIndex every where, as per ARIA

CCBUG: 121572
CCBUG: 158857

M  +6    -19   khtml/ecma/kjs_html.cpp     
M  +9    -10   khtml/ecma/kjs_html.h     
M  +4    -2    khtml/html/html_baseimpl.cpp     
M  +1    -1    khtml/html/html_baseimpl.h     
M  +4    -2    khtml/html/html_elementimpl.cpp     
M  +14   -1    khtml/html/html_formimpl.cpp     
M  +2    -4    khtml/html/html_formimpl.h     
M  +6    -0    khtml/html/html_inlineimpl.cpp     
M  +1    -1    khtml/html/html_inlineimpl.h     
M  +5    -25   khtml/svg/SVGAElement.cpp     
M  +1    -3    khtml/svg/SVGAElement.h     
M  +28   -3    khtml/xml/dom_elementimpl.cpp     
M  +4    -2    khtml/xml/dom_elementimpl.h     
M  +13   -3    khtml/xml/dom_nodeimpl.h     

http://commits.kde.org/kdelibs/8fdb65112cb87f07d25433bcfe5a6c9913984277